<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.ui.sample"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.ui.sample.HyadesSamplePlugin">

   <runtime>
      <library name="hyades.ui.sample.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.ui.sample"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>

      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.hyades.logging.core"/>
   </requires>

   <extension
         point="org.eclipse.hyades.ui.reportExtensions">
      <reportDescription
            name="%EP_REPORT_EXT_NAME"
            class="org.eclipse.hyades.ui.sample.report.svg.SVGReport">
      </reportDescription>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%sampleProjects.category.Name"
            parentCategory="org.eclipse.ui.Examples"
            id="org.eclipse.hyades.samples.projects">
      </category>
      <category
            name="%sampleProjects.category.ui.Name"
            parentCategory="org.eclipse.ui.Examples"
            id="org.eclipse.hyades.ui.samples.projects">
      </category>
      <wizard
            name="%sampleProjects.recorder.Name"
            icon="icons\full\wizban\newtestproject_wiz.gif"
            category="org.eclipse.ui.Examples/org.eclipse.hyades.samples.projects"
            class="org.eclipse.hyades.ui.internal.wizard.exampleproject.CreationWizard"
            finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
            project="true"
            id="org.eclipse.hyades.ui.sample.wizard.TestExampleCreationWizard">
         <description>
            %sampleProjects.recorder.Description
         </description>
      </wizard>
      <wizard
            name="%sampleProjects.navigatorExtension.Name"
            icon="icons\full\wizban\newtestproject_wiz.gif"
            category="org.eclipse.ui.Examples/org.eclipse.hyades.ui.samples.projects"
            class="org.eclipse.hyades.ui.internal.wizard.exampleproject.CreationWizard"
            finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
            project="true"
            id="org.eclipse.hyades.ui.sample.wizard.NavigatorExtensionCreationWizard">
         <description>
            %sampleProjects.navigatorExtension.Description
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.sampleWizards">
      <sampleWizard
            banner="icons\full\wizban\newtestproject_wizbanner.gif"
            wizardId="org.eclipse.hyades.ui.sample.wizard.TestExampleCreationWizard"
            windowTitle="%W_NEW"
            id="org.eclipse.hyades.ui.sample.wizard.TestExampleCreationWizard.sample">
         <projectsetup
               pagetitle="%sampleProjects.recorder.page1.Name"
               name="Test Sample - HTTP Recorder"
               pagedescription="%sampleProjects.recorder.page1.Description"
               helpId="org.eclipse.hyades.test.ctst0340">
            <open
                  file="readme.html"
                  editorId="com.ibm.etools.webbrowser">
            </open>
            <import
                  dest=""
                  src="archive/httpRecorderSample">
            </import>
            <nature
                  id="org.eclipse.jdt.core.javanature">
            </nature>
            <buildCommand
                  name="org.eclipse.jdt.core.javabuilder">
            </buildCommand>
         </projectsetup>
      </sampleWizard>
      <sampleWizard
            banner="icons\full\wizban\newtestproject_wizbanner.gif"
            wizardId="org.eclipse.hyades.ui.sample.wizard.NavigatorExtensionCreationWizard"
            windowTitle="%W_NEW"
            id="org.eclipse.hyades.ui.sample.wizard.NavigatorExtensionCreationWizard.sample">
         <projectsetup
               pagetitle="%sampleProjects.navigatorExtension.page1.Name"
               name="NavigatorExtensionSample"
               pagedescription="%sampleProjects.navigatorExtension.page1.Description">
            <open file="readme.html" editorId="com.ibm.etools.webbrowser"/>
            <import dest="" src="archive/navigatorExtensionSample"/>
            <nature id="org.eclipse.jdt.core.javanature"/>
            <buildCommand name="org.eclipse.jdt.core.javabuilder"/>
         </projectsetup>
      </sampleWizard>
   </extension>

</plugin>
